export declare enum TypeEnum {
    unset = "UNSET",
    every = "EVERY",
    range = "RANGE",
    loop = "LOOP",
    work = "WORK",
    last = "LAST",
    specify = "SPECIFY"
}
export declare function useTabProps(options: any): {
    [x: string]: any;
};
export declare function useTabEmits(): {
    readonly change: (value: string) => boolean;
    readonly 'update:value': (value: string) => boolean;
};
export declare function useTabSetup(props: any, context: any, options: any): {
    type: import("vue").Ref<any, any>;
    bem: {
        b: (blockSuffix?: string) => string;
        e: (element?: string) => string;
        m: (modifier?: string) => string;
        be: (blockSuffix?: string, element?: string) => string;
        em: (element: string, modifier: string) => string;
        bm: (blockSuffix: string, modifier: string) => string;
        bem: (blockSuffix: string, element: string, modifier: string) => string;
        is: (name?: string) => string;
    };
    TypeEnum: typeof TypeEnum;
    defaultValue: import("vue").Ref<any, any>;
    valueRange: any;
    valueLoop: any;
    valueWeek: any;
    valueList: import("vue").Ref<any[], any[]>;
    valueWork: import("vue").Ref<any, any>;
    maxValue: import("vue").Ref<any, any>;
    minValue: import("vue").Ref<any, any>;
    computeValue: import("vue").ComputedRef<any>;
    specifyRange: import("vue").ComputedRef<number[]>;
    updateValue: (value: any) => void;
    parseValue: (value: any) => void;
    beforeRadioAttrs: import("vue").ComputedRef<{
        class: string[];
        disabled: any;
    }>;
    inputNumberAttrs: import("vue").ComputedRef<{
        class: string[];
        max: any;
        min: any;
        precision: number;
    }>;
    typeRangeAttrs: import("vue").ComputedRef<{
        class: string[];
        max: any;
        min: any;
        precision: number;
        disabled: any;
    }>;
    typeLoopAttrs: import("vue").ComputedRef<{
        class: string[];
        max: any;
        min: any;
        precision: number;
        disabled: any;
    }>;
    typeSpecifyAttrs: import("vue").ComputedRef<{
        disabled: any;
        class: string[];
    }>;
};
